before_script:
  - export GIT_COMMIT=$CI_COMMIT_SHA
  - export GIT_BRANCH=$CI_COMMIT_REF_NAME
  - export GIT_TAG=$CI_COMMIT_TAG

stages:
  - build-docker

docker:
    image: docker:latest
    stage: build-docker
    tags:
      - arm64
    script:
    - cd docker
    - echo $DOCKERHUB_PWD | docker login --username joeri2821 --password-stdin
    - source version.sh
    - docker build -t $IMAGE_TAG --no-cache --pull .
    - docker tag $IMAGE_TAG joeri2821/$IMAGE_TAG
    - docker push joeri2821/$IMAGE_TAG

